<?php
/**
* Author bio box
*
* @package GridFeel WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridfeel_add_author_bio_box() {
    $content='';
    if (is_single()) {
        $content .= '
            <div class="gridfeel-author-bio">
            <div class="gridfeel-author-bio-inside">
            <div class="gridfeel-author-bio-top">
            <span class="gridfeel-author-bio-gravatar">
                '. get_avatar( get_the_author_meta('email') , 80 ) .'
            </span>
            <div class="gridfeel-author-bio-text">
                <div class="gridfeel-author-bio-name">'.esc_html__( 'Author: ', 'gridfeel' ).'<span>'. get_the_author_link() .'</span></div><div class="gridfeel-author-bio-text-description">'. wp_kses_post( get_the_author_meta('description',get_query_var('author') ) ) .'</div>
            </div>
            </div>
            </div>
            </div>
        ';
    }
    return apply_filters( 'gridfeel_add_author_bio_box', $content );
}